#!/bin/fish

cp ./src/snap-pac-uki.fish /usr/local/bin/snap-pac-uki
echo "installed script."

if not test -d "/etc/snap-pac-uki"
    mkdir -p "/etc/snap-pac-uki"
    echo "created config dir."
end

cp ./src/config.fish /etc/snap-pac-uki/config.fish
echo "installed config script."

cp ./pacman/* /usr/share/libalpm/hooks/
echo "installed pacman hooks."

cp ./systemd/* /etc/systemd/system/
echo "installed systemd unit files"
